local _log = commonapi.utils.logPrep("commonapi2.ui")
local uiinterface = {}

--_log("Loading commonapi2.ui interface")

if (CommonAPILuaStateID ~= nil and commonapi._native) then
	if ( commonapi._native.getGUIBindings ~= nil) then
		uiinterface = commonapi._nativeui
		uiinterface._activate()
	end
else
	package.loaded["commonapi2.ui2.tpfui"] = nil
	local tpfui = require("commonapi2.ui2.tpfui")
	uiinterface = tpfui
end

return uiinterface
